Bug 91276 - (NET E1000) RHEL QU3 errata: e1000 driver stack usage
(NET E1000) RHEL QU3 errata: e1000 driver stack usage
Status: CLOSED DUPLICATE of bug 90320
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: 106715
  Show dependency treegraph
 
Reported: 2003-05-20 14:39 EDT by Larry Troan
Modified: 2016-04-18 05:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:53:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Troan 2003-05-20 14:39:23 EDT
The network drivers are allocating large structures on the kernel stack.  When
several do this, and they get called in series, it can cause stack overflow. 
These structs should be allocated via kmalloc/kfree.
                                                                               
                                                                              
In the 2.4.9-e.18 kernel:
                                                                               
                                                                             e1000:
e1000_check_copper_options() uses 0x1d0 bytes.
e1000_ethtool_ioctl() uses 0x2c8 bytes.
e1000_check_options() uses 0x15c bytes.

----------
Action by: mdomsch
Issue Registered
----------
Action by: mdomsch


Status set to: Waiting on Tech


ISSUE TRACKER 21176 opened as sev 2.
Comment 1 Larry Troan 2003-07-08 17:52:06 EDT
FROM ISSUE TRACKER
------- Additional Comments From jgarzik@redhat.com  2003-07-08 13:34 -------
Would it be ok to all parties involved, if I made this bug public?  I would like
Intel to be able to view it as well.  And since it's in issue present in
upstream, I believe this bug need not be private.

------- Additional Comments From ltroan@redhat.com  2003-07-08 17:46 -------
Event posted 07-08-2003 01:40pm by ltroan 
Will get a reading from Dell this afternoon about opening this bug up for Public
Viewing

-------------------
I TALKED WITH DELL AND THEY AGREED TO OPEN THIS BUG UP FOR PUBLIC VIEWING.
Comment 2 Larry Troan 2003-07-08 17:55:27 EDT
See also Bugzilla 90320 "e1000_4412k driver stack usage"
Comment 3 Suzanne Hillman 2003-10-06 11:27:41 EDT
identified by Dell Engineering with a RHEL2.1 Update3 target. Added to U3
blocker list.
Comment 6 Larry Troan 2003-10-28 11:37:10 EST
Sure looks like a DUP. Jeff, do you agree? If so, suggest closing this BUG as
DUP of 107552.
Comment 7 Jeff Garzik 2004-03-03 01:04:17 EST

*** This bug has been marked as a duplicate of 90320 ***
Comment 8 Red Hat Bugzilla 2006-02-21 13:53:11 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.